<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="main-model-organization content-header">
    <div class="main-model-organization__right">
        <mb-button *ngIf="objFunction?.create" mbButtonType="NO_BORDER" (click)="createJob()" mbButtonSize="LARGE"
            mbButtonText="{{'common.button.add' | translate}}" mbButtonAvailableStyle="PRIMARY">
        </mb-button>
    </div>
</div>
<div class="container-fluid">
    <div class="form">
        <div nz-row class="form-row">
            <div nz-col nzSpan="5" class="form-row__left">
                <mb-input-text [mbMaxLength]="255"
                    mbPlaceholderText="{{'modelOrganization.listJob.placeHolder.type' | translate}}"
                    mbLabelText="{{'modelOrganization.listJob.codeJob' | translate}}"
                    [(ngModel)]="objSearch.jobCode"></mb-input-text>
            </div>
            <div nz-col nzSpan="5" class="form-row__center">

                <mb-input-text [mbMaxLength]="255"
                    mbPlaceholderText="{{'modelOrganization.listJob.placeHolder.type' | translate}}"
                    (keyup)="onSearchJob($event)" nz-dropdown [nzDropdownMenu]="menu"
                    mbLabelText="{{'modelOrganization.listJob.jobName' | translate}}" [(ngModel)]="objSearch.jobName">
                </mb-input-text>
            </div>
            <div nz-col nzSpan="5" class="form-row__right">
                <mb-select [mbDataSelects]="listJobType" mbKeyLabel="name" mbKeyValue="value"
                    mbLabelText="{{'modelOrganization.listJob.architecture' | translate}}"
                    mbPlaceholder="{{'modelOrganization.listJob.placeHolder.chooseArc' | translate}}"
                    [(ngModel)]="objSearch.jobType">
                </mb-select>
            </div>

            <div nz-col nzSpan="5" class="form-row__left">
                <mb-select [mbDataSelects]="listStatus" mbKeyLabel="name" mbKeyValue="value"
                    mbPlaceholderText="{{'modelOrganization.listJob.placeHolder.type' | translate}}"
                    mbLabelText="{{'modelOrganization.listJob.statuss' | translate}}"
                    [(ngModel)]="objSearch.flagStatus">
                </mb-select>
            </div>
        </div>
        <div nz-row class="form-row-center">
            <mb-button mbButtonSize='MEDIUM' mbButtonAvailableStyle='CUSTOM'
                mbButtonText="{{'modelOrganization.listJob.search' | translate}}" (click)="onSearch()"></mb-button>
            <mb-button *ngIf="objFunction.export" mbButtonType="BORDER" mbButtonSize="VERY_LARGE"
                (click)="exportExcel()">
                <img src="../../../../../assets/images/icon/excel.svg" alt="" />
            </mb-button>
        </div>
    </div>


    <div nz-row class="template">
        <div class="jd-table ant-table-content">
            <nz-table #basicTable [nzData]="jobDataTable ? jobDataTable : []" [nzFrontPagination]="false"
                [nzShowPagination]="false" [nzScroll]="{ x: 'SCROLL_CONFIG' }" [nzSize]="TABLE_SIZE">
                <thead>
                    <tr>
                        <th class="jd-table__label" scope="col" nzWidth="5em" nzLeft>STT</th>
                        <th class="jd-table__label" scope="col">{{'modelOrganization.listJob.codeJob' | translate}}</th>
                        <th class="jd-table__label" scope="col">{{'modelOrganization.listJob.jobName' | translate}}</th>
                        <th class="jd-table__label" scope="col">{{'modelOrganization.listJob.description' | translate}}
                        </th>
                        <th class="jd-table__label" scope="col">{{'modelOrganization.listJob.architecture' | translate}}
                        </th>
                        <th class="jd-table__label" scope="col" [nzAlign]="'center'" [nzWidth]="WIDTH_COLUMN.MEDIUM" nzRight>
                            {{'modelOrganization.listJob.statuss' | translate}}
                        </th>
                        <th class="jd-table__label" scope="col" [nzWidth]="WIDTH_COLUMN.CHECKED" nzRight>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let item of basicTable.data; let i = index" (dblclick)='navigatePage("edit", item)'>
                        <td nzLeft>
                            {{(pagination.size * (pagination.currentPage - 1)) + (i+1)}}
                        </td>
                        <td class="wrap-text" nz-tooltip
                            [nzTooltipTitle]="item.jobCode">{{item.jobCode}}</td>
                        <td class="wrap-text" nz-tooltip
                            [nzTooltipTitle]="item.jobName">{{item.jobName}}</td>
                        <td class="wrap-text" nz-tooltip
                            [nzTooltipTitle]="item.jobDescription">{{item.jobDescription}}</td>
                        <td class="wrap-text" nz-tooltip
                            [nzTooltipTitle]="item.jobType | jobType">{{item.jobType | jobType}}</td>
                        <td nzRight [nzAlign]="'center'">
                            <nz-tag [class]="renderFlagStatus(item.flagStatus).class">
                                <span *ngIf="item.flagStatus">{{'modelOrganization.listJob.active' | translate}}</span>
                                <span *ngIf="!item.flagStatus">{{'modelOrganization.listJob.inactive' |
                                    translate}}</span>
                            </nz-tag>
                        </td>
                        <td nzRight>
                            <div class="jd-table__action flex-center" *ngIf="objFunction?.delete">
                                <img alt="" src="assets/images/icon/delete_outline.svg" width="20" height="20"
                                    (click)="deleteJob(item.jobId)">
                            </div>
                        </td>
                    </tr>
                </tbody>
            </nz-table>
            <div class="pagination" *ngIf="pagination.totalElements > 0">
                <div class="pagination__table-info">
                    <img class="pagination__table-info--icon" src="assets/images/icon/idea.svg" alt="" />
                    <span class="pagination__table-info--text">
                        {{'common.paging.rangePage' |
                        translate:{result:pagination.totalElements} }}
                        {{(pagination.size * (pagination.currentPage - 1)) + 1}}
                        {{'common.paging.to' | translate}} {{(pagination.size * (pagination.currentPage - 1)) +
                        pagination.numberOfElements}}
                    </span>
                </div>
                <nz-pagination [(nzPageIndex)]="pagination && pagination.currentPage"
                    [nzTotal]="pagination?.totalElements" [nzPageSize]="pagination?.size"
                    (nzPageIndexChange)="changePage()" class="pagination__icon">
                </nz-pagination>
            </div>
        </div>
    </div>
</div>

<ng-container>
    <nz-dropdown-menu #menu="nzDropdownMenu">
        <div class="job-search">
            <ul nz-menu *ngFor="let item of listJobSearch">
                <li nz-menu-item (click)="onClickJob(item.jobName)">{{item.jobName}}</li>
            </ul>
        </div>
    </nz-dropdown-menu>
</ng-container>

<nz-modal [(nzVisible)]="isVisible" [nzTitle]="modalTitle" [nzContent]="modalContent" [nzFooter]="modalFooter"
    [nzStyle]="{ width: '40vw' }" (nzOnCancel)="handleCancel()" class="modal">
    <ng-template #modalTitle>
        <span class="title-modal">Job</span>
    </ng-template>

    <ng-template #modalContent>
        <app-init-job (closeEvent)="closeModal($event)" [jobShare]="jobShare"></app-init-job>
    </ng-template>

    <ng-template #modalFooter>
        <p></p>
    </ng-template>
</nz-modal>
